#language: ru

@purchase

Функционал: 000. Purchase. Установка функциональных опций

Контекст:
	Дано Я подключаюсь под "Администратор"

Сценарий: 000.1. Purchase. Установка времени начала блока тестов

	Дано Я устанавливаю заголовок "08.Закупки"
	И Я устанавливаю время начала блока тестов
	Дано я устанавливаю текущему сеансу заголовок приложения "08.000. Закупки"

Сценарий: 000.2. Purchase. Установка функциональных опций

	И Я читаю лицензию "Закупки.xml"
	И флаг "Анализ продаж доступен" равен "Нет"
	И флаг "Анализ сервисов предприятия" равен "Нет"
	И флаг "Закупки" равен "Да"
	И флаг "Маркировка" равен "Нет"
	И флаг "Мобильное приложение" равен "Нет"
	И флаг "Обработка заказов клиента" равен "Нет"
	И флаг "Планирование переработки" равен "Нет"
	И флаг "Планирование продаж" равен "Нет"
	И флаг "Планирование разруба" равен "Нет"
	И флаг "Прогнозирование отгрузок" равен "Нет"
	И флаг "Приемка сырья" равен "Нет"
	И флаг "Приемка сырья (молочное)" равен "Нет"
	И флаг "Производство" равен "Нет"
	И флаг "Производство (молочное)" равен "Нет"
	И флаг "Производство (мясное)" равен "Нет"
	И флаг "Складская логистика" равен "Нет"
	И флаг "Транспортная логистика" равен "Нет"
	И флаг "Трейд-маркетинг" равен "Нет"
	И флаг "Управление продажами" равен "Нет"
	И флаг "Ценообразование" равен "Да"
	И флаг "Интеграция с ГИС Меркурий" равен "Нет"
	И флаг "Управление процессами" равен "Нет"
	И Я закрываю окно 'Лицензирование'

Сценарий: 000.3. Purchase. Закупки. Создание пользователей

	Когда Я создаю группу доступа "Базовый профиль" с профилем "Базовый профиль"
	* Ведение номенклатуры
		И Я создаю группу доступа "Ведение номенклатуры" с профилем "Ведение номенклатуры"
		И Я создаю пользователя "Ведение номенклатуры" с профилями "Базовый профиль;Ведение номенклатуры"
	* Ведение организаций
		И Я создаю группу доступа "Ведение организаций" с профилем "Ведение организаций"
		И Я создаю пользователя "Ведение организаций" с профилями "Базовый профиль;Ведение организаций"
	* Ведение контрагентов
		И Я создаю группу доступа "Ведение контрагентов" с профилем "Ведение контрагентов"
		И Я создаю пользователя "Ведение контрагентов" с профилями "Базовый профиль;Ведение контрагентов"
	* Ценообразование
		И Я создаю группу доступа "Ценообразование" с профилем "Ценообразование"
		И Я создаю пользователя "Ценообразование" с профилями "Базовый профиль;Ценообразование"
	* Создание заказов поставщикам
		И Я создаю группу доступа "Создание заказов поставщикам" с профилем "Создание заказов поставщикам"
		И Я создаю пользователя "Создание заказов поставщикам" с профилями "Базовый профиль;Создание заказов поставщикам"
	* Формирование поступлений
		И Я создаю группу доступа "Формирование поступлений" с профилем "Формирование поступлений"
		И Я создаю пользователя "Формирование поступлений" с профилями "Базовый профиль;Формирование поступлений"
	* Возвраты поставщикам
		И Я создаю группу доступа "Возвраты поставщикам" с профилем "Возвраты поставщикам"
		И Я создаю пользователя "Возвраты поставщикам" с профилями "Базовый профиль;Возвраты поставщикам"

Сценарий: 000.4. Purchase. Завершение

	И Я закрыл все окна клиентского приложения